﻿<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{F5033469-2085-4950-8F20-576D7843ED0C}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Vhs.CustomValidatorsByTemplate</RootNamespace>
    <AssemblyName>Vhs.CustomValidatorsByTemplate</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <UseIISExpress>true</UseIISExpress>
    <Use64BitIISExpress />
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <Choose>
    <When Condition=" '$(Configuration)' == 'Sitecore92' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.2.0</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore91' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.1.0</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore90' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.0.180604</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore82' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.2.180406</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore81' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.1.160519</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore80' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.0.160115</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore72' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>7.2.160123</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <Otherwise>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\PublishProfiles\Sitecore92.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Web.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Extensions\StringExtensions.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Templates.cs" />
    <Compile Include="ValidationRules\FieldRules\MaxLengthFieldValidatorByTemplate.cs" />
    <Compile Include="ValidationRules\FieldRules\RequiredFieldValidatorByTemplate.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\PublishProfiles\Sitecore72.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore80.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore81.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore82.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore90.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore91.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Sitecore72|AnyCPU' ">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore80|AnyCPU'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore81|AnyCPU'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore82|AnyCPU'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore90|AnyCPU'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore91|AnyCPU'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Sitecore92|AnyCPU'">
    <OutputPath>bin\</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" Condition="false" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>58100</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:56612/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>